#!/usr/bin/perl -w

use strict;
use UDDI::Lite;

my $uddi =
    UDDI::Lite->proxy('http://uddi.microsoft.com/inquire');

for my $letter ('A' .. 'Z') {
    my $results = $uddi->find_business(name => $letter)
                       ->result;
    my @list = $result->businessInfos->businessInfo;
    printf "%c: (%d)\n", $letter, scalar @list;
    printf "\t%s\n", $_->name for (@list);
}

exit;
