#!/usr/bin/perl

#
# A simple server that does not yet do access-control on
# requests.
#

use strict;

use SOAP::Transport::HTTP;
# Loading this class here keeps SOAP::Lite from having to
# load it on demand.
use WishListCustomer;

my $port = pop(@ARGV) || 9000;
my $host = shift(@ARGV) || 'localhost';

SOAP::Transport::HTTP::Daemon
    ->new(LocalAddr => $host, LocalPort => $port,
          Reuse => 1)
    ->dispatch_with({ 'urn:WishListCustomer' =>
                      'WishListCustomer' })
    ->objects_by_reference('WishListCustomer')
    ->handle;

exit;
